
def zip_longest(*args, fillvalue=None):
    """
    This function zips multiple iterables (like lists or tuples) together into a single iterable.
    If the iterables are of unequal length, missing values are filled with `fillvalue`.
    """
    iterators = [iter(arg) for arg in args]
    while True:
        result = []
        for iterator in iterators:
            try:
                result.append(next(iterator))
            except StopIteration:
                result.append(fillvalue)
        yield result

# JSON output
